Permalink
Browse files

+ version 4.6.2, + activerecord/support gem requirements relaxed

  • Loading branch information...
1 parent d030604 commit e3766bbe4e64ac31ae247a2e7d75c3c4b21c0356 @floere committed Aug 11, 2012
View
@@ -1,5 +1,9 @@
## Upcoming Version
+## 4.6.2 "actively support activesupport"
+
+- Also allow activesupport 4 (Note: Untested, assuming semantics didn't change and version change is Rails related).
+
## 4.6.1 "small change"
###### [Server](https://github.com/floere/picky/tree/master/server)
@@ -21,6 +21,6 @@ Gem::Specification.new do |s|
s.test_files = Dir["spec/**/*_spec.rb"]
s.extra_rdoc_files = ['README.rdoc']
- s.add_dependency('yajl-ruby', '>= 0.7.8')
- s.add_dependency('activesupport', '>=3.0.0')
+ s.add_runtime_dependency 'yajl-ruby' # We suggest to use Yajl.
+ s.add_runtime_dependency 'activesupport', '~> 3'
end
@@ -20,7 +20,7 @@ gem 'multi_json'
# Optional.
#
gem 'yajl-ruby', :require => 'yajl'
-gem 'activerecord', '~> 3.0', :require => 'active_record'
+gem 'activerecord', '~> 3', :require => 'active_record'
# Required by your project.
#
View
@@ -21,5 +21,5 @@ Gem::Specification.new do |s|
s.add_dependency 'sinatra', '~> 1.0'
s.add_development_dependency 'rspec', '>= 1.3.0'
- s.add_development_dependency 'activesupport', '>= 3.0.0'
+ s.add_development_dependency 'activesupport', '~> 3'
end
View
@@ -28,7 +28,7 @@ Gem::Specification.new do |s|
s.add_runtime_dependency 'text'
s.add_runtime_dependency 'multi_json'
- s.add_runtime_dependency 'activesupport', '~> 3.0'
+ s.add_runtime_dependency 'activesupport', '~> 3'
s.add_runtime_dependency 'procrastinate', '~> 0.4'
s.add_runtime_dependency 'rack_fast_escape'
@@ -42,7 +42,7 @@ Gem::Specification.new do |s|
# s.add_runtime_dependency 'sinatra'
# s.add_runtime_dependency 'rack'
# s.add_runtime_dependency 'yajl-ruby' # As JSON lib we suggest to use yajl.
- # s.add_runtime_dependency 'activerecord', '~> 3.0'
+ # s.add_runtime_dependency 'activerecord', '~> 3'
# s.add_runtime_dependency 'redis'
# s.add_runtime_dependency 'mysql'
# s.add_runtime_dependency 'sqlite3'

0 comments on commit e3766bb

Please sign in to comment.